// **********************************************************************
//
// Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************
// Generated by makeprops.py from file ./config/PropertyNames.xml, Wed Jan 16 12:48:30 2019

// IMPORTANT: Do not edit this file -- any edits made here will be lost!

#include <Ice/PropertyNames.h>

const IceInternal::Property IcePropsData[] =
{
    IceInternal::Property("Ice.ACM.Client", true, 0),
    IceInternal::Property("Ice.ACM.Server", true, 0),
    IceInternal::Property("Ice.ACM.Timeout", false, 0),
    IceInternal::Property("Ice.ACM.Heartbeat", false, 0),
    IceInternal::Property("Ice.ACM.Close", false, 0),
    IceInternal::Property("Ice.ACM", false, 0),
    IceInternal::Property("Ice.ACM.Client.Timeout", false, 0),
    IceInternal::Property("Ice.ACM.Client.Heartbeat", false, 0),
    IceInternal::Property("Ice.ACM.Client.Close", false, 0),
    IceInternal::Property("Ice.ACM.Client", false, 0),
    IceInternal::Property("Ice.ACM.Server.Timeout", false, 0),
    IceInternal::Property("Ice.ACM.Server.Heartbeat", false, 0),
    IceInternal::Property("Ice.ACM.Server.Close", false, 0),
    IceInternal::Property("Ice.ACM.Server", false, 0),
    IceInternal::Property("Ice.Admin.ACM.Timeout", false, 0),
    IceInternal::Property("Ice.Admin.ACM.Heartbeat", false, 0),
    IceInternal::Property("Ice.Admin.ACM.Close", false, 0),
    IceInternal::Property("Ice.Admin.ACM", false, 0),
    IceInternal::Property("Ice.Admin.AdapterId", false, 0),
    IceInternal::Property("Ice.Admin.Endpoints", false, 0),
    IceInternal::Property("Ice.Admin.Locator.EndpointSelection", false, 0),
    IceInternal::Property("Ice.Admin.Locator.ConnectionCached", false, 0),
    IceInternal::Property("Ice.Admin.Locator.PreferSecure", false, 0),
    IceInternal::Property("Ice.Admin.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Ice.Admin.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("Ice.Admin.Locator.Locator", false, 0),
    IceInternal::Property("Ice.Admin.Locator.Router", false, 0),
    IceInternal::Property("Ice.Admin.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("Ice.Admin.Locator.Context.*", false, 0),
    IceInternal::Property("Ice.Admin.Locator", false, 0),
    IceInternal::Property("Ice.Admin.PublishedEndpoints", false, 0),
    IceInternal::Property("Ice.Admin.ReplicaGroupId", false, 0),
    IceInternal::Property("Ice.Admin.Router.EndpointSelection", false, 0),
    IceInternal::Property("Ice.Admin.Router.ConnectionCached", false, 0),
    IceInternal::Property("Ice.Admin.Router.PreferSecure", false, 0),
    IceInternal::Property("Ice.Admin.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Ice.Admin.Router.InvocationTimeout", false, 0),
    IceInternal::Property("Ice.Admin.Router.Locator", false, 0),
    IceInternal::Property("Ice.Admin.Router.Router", false, 0),
    IceInternal::Property("Ice.Admin.Router.CollocationOptimized", false, 0),
    IceInternal::Property("Ice.Admin.Router.Context.*", false, 0),
    IceInternal::Property("Ice.Admin.Router", false, 0),
    IceInternal::Property("Ice.Admin.ProxyOptions", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.Size", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.StackSize", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.Serialize", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("Ice.Admin.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("Ice.Admin.MessageSizeMax", false, 0),
    IceInternal::Property("Ice.Admin.DelayCreation", false, 0),
    IceInternal::Property("Ice.Admin.Enabled", false, 0),
    IceInternal::Property("Ice.Admin.Facets", false, 0),
    IceInternal::Property("Ice.Admin.InstanceName", false, 0),
    IceInternal::Property("Ice.Admin.Logger.KeepLogs", false, 0),
    IceInternal::Property("Ice.Admin.Logger.KeepTraces", false, 0),
    IceInternal::Property("Ice.Admin.Logger.Properties", false, 0),
    IceInternal::Property("Ice.Admin.ServerId", false, 0),
    IceInternal::Property("Ice.BackgroundLocatorCacheUpdates", false, 0),
    IceInternal::Property("Ice.BatchAutoFlush", true, 0),
    IceInternal::Property("Ice.BatchAutoFlushSize", false, 0),
    IceInternal::Property("Ice.ChangeUser", false, 0),
    IceInternal::Property("Ice.ClassGraphDepthMax", false, 0),
    IceInternal::Property("Ice.ClientAccessPolicyProtocol", false, 0),
    IceInternal::Property("Ice.Compression.Level", false, 0),
    IceInternal::Property("Ice.CollectObjects", false, 0),
    IceInternal::Property("Ice.Config", false, 0),
    IceInternal::Property("Ice.ConsoleListener", false, 0),
    IceInternal::Property("Ice.Default.CollocationOptimized", false, 0),
    IceInternal::Property("Ice.Default.EncodingVersion", false, 0),
    IceInternal::Property("Ice.Default.EndpointSelection", false, 0),
    IceInternal::Property("Ice.Default.Host", false, 0),
    IceInternal::Property("Ice.Default.Locator.EndpointSelection", false, 0),
    IceInternal::Property("Ice.Default.Locator.ConnectionCached", false, 0),
    IceInternal::Property("Ice.Default.Locator.PreferSecure", false, 0),
    IceInternal::Property("Ice.Default.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Ice.Default.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("Ice.Default.Locator.Locator", false, 0),
    IceInternal::Property("Ice.Default.Locator.Router", false, 0),
    IceInternal::Property("Ice.Default.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("Ice.Default.Locator.Context.*", false, 0),
    IceInternal::Property("Ice.Default.Locator", false, 0),
    IceInternal::Property("Ice.Default.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Ice.Default.InvocationTimeout", false, 0),
    IceInternal::Property("Ice.Default.Package", false, 0),
    IceInternal::Property("Ice.Default.PreferSecure", false, 0),
    IceInternal::Property("Ice.Default.Protocol", false, 0),
    IceInternal::Property("Ice.Default.Router.EndpointSelection", false, 0),
    IceInternal::Property("Ice.Default.Router.ConnectionCached", false, 0),
    IceInternal::Property("Ice.Default.Router.PreferSecure", false, 0),
    IceInternal::Property("Ice.Default.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Ice.Default.Router.InvocationTimeout", false, 0),
    IceInternal::Property("Ice.Default.Router.Locator", false, 0),
    IceInternal::Property("Ice.Default.Router.Router", false, 0),
    IceInternal::Property("Ice.Default.Router.CollocationOptimized", false, 0),
    IceInternal::Property("Ice.Default.Router.Context.*", false, 0),
    IceInternal::Property("Ice.Default.Router", false, 0),
    IceInternal::Property("Ice.Default.SlicedFormat", false, 0),
    IceInternal::Property("Ice.Default.SourceAddress", false, 0),
    IceInternal::Property("Ice.Default.Timeout", false, 0),
    IceInternal::Property("Ice.EventLog.Source", false, 0),
    IceInternal::Property("Ice.FactoryAssemblies", false, 0),
    IceInternal::Property("Ice.HTTPProxyHost", false, 0),
    IceInternal::Property("Ice.HTTPProxyPort", false, 0),
    IceInternal::Property("Ice.ImplicitContext", false, 0),
    IceInternal::Property("Ice.InitPlugins", false, 0),
    IceInternal::Property("Ice.IPv4", false, 0),
    IceInternal::Property("Ice.IPv6", false, 0),
    IceInternal::Property("Ice.LogFile", false, 0),
    IceInternal::Property("Ice.LogFile.SizeMax", false, 0),
    IceInternal::Property("Ice.LogStdErr.Convert", false, 0),
    IceInternal::Property("Ice.MessageSizeMax", false, 0),
    IceInternal::Property("Ice.Nohup", false, 0),
    IceInternal::Property("Ice.NullHandleAbort", false, 0),
    IceInternal::Property("Ice.Override.CloseTimeout", false, 0),
    IceInternal::Property("Ice.Override.Compress", false, 0),
    IceInternal::Property("Ice.Override.ConnectTimeout", false, 0),
    IceInternal::Property("Ice.Override.Timeout", false, 0),
    IceInternal::Property("Ice.Override.Secure", false, 0),
    IceInternal::Property("Ice.Package.*", false, 0),
    IceInternal::Property("Ice.Plugin.*", false, 0),
    IceInternal::Property("Ice.PluginLoadOrder", false, 0),
    IceInternal::Property("Ice.PreferIPv6Address", false, 0),
    IceInternal::Property("Ice.PrintAdapterReady", false, 0),
    IceInternal::Property("Ice.PrintProcessId", false, 0),
    IceInternal::Property("Ice.PrintStackTraces", false, 0),
    IceInternal::Property("Ice.ProgramName", false, 0),
    IceInternal::Property("Ice.RetryIntervals", false, 0),
    IceInternal::Property("Ice.ServerIdleTime", false, 0),
    IceInternal::Property("Ice.SOCKSProxyHost", false, 0),
    IceInternal::Property("Ice.SOCKSProxyPort", false, 0),
    IceInternal::Property("Ice.StdErr", false, 0),
    IceInternal::Property("Ice.StdOut", false, 0),
    IceInternal::Property("Ice.SyslogFacility", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.Size", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.SizeMax", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.SizeWarn", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.StackSize", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.Serialize", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.ThreadIdleTime", false, 0),
    IceInternal::Property("Ice.ThreadPool.Client.ThreadPriority", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.Size", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.SizeMax", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.SizeWarn", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.StackSize", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.Serialize", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.ThreadIdleTime", false, 0),
    IceInternal::Property("Ice.ThreadPool.Server.ThreadPriority", false, 0),
    IceInternal::Property("Ice.ThreadPriority", false, 0),
    IceInternal::Property("Ice.Trace.Admin.Properties", false, 0),
    IceInternal::Property("Ice.Trace.Admin.Logger", false, 0),
    IceInternal::Property("Ice.Trace.Locator", false, 0),
    IceInternal::Property("Ice.Trace.Network", false, 0),
    IceInternal::Property("Ice.Trace.Protocol", false, 0),
    IceInternal::Property("Ice.Trace.Retry", false, 0),
    IceInternal::Property("Ice.Trace.Slicing", false, 0),
    IceInternal::Property("Ice.Trace.ThreadPool", false, 0),
    IceInternal::Property("Ice.UDP.RcvSize", false, 0),
    IceInternal::Property("Ice.UDP.SndSize", false, 0),
    IceInternal::Property("Ice.TCP.Backlog", false, 0),
    IceInternal::Property("Ice.TCP.RcvSize", false, 0),
    IceInternal::Property("Ice.TCP.SndSize", false, 0),
    IceInternal::Property("Ice.UseApplicationClassLoader", false, 0),
    IceInternal::Property("Ice.UseSyslog", false, 0),
    IceInternal::Property("Ice.Warn.AMICallback", false, 0),
    IceInternal::Property("Ice.Warn.Connections", false, 0),
    IceInternal::Property("Ice.Warn.Datagrams", false, 0),
    IceInternal::Property("Ice.Warn.Dispatch", false, 0),
    IceInternal::Property("Ice.Warn.Endpoints", false, 0),
    IceInternal::Property("Ice.Warn.UnknownProperties", false, 0),
    IceInternal::Property("Ice.Warn.UnusedProperties", false, 0),
    IceInternal::Property("Ice.CacheMessageBuffers", false, 0),
    IceInternal::Property("Ice.ThreadInterruptSafe", false, 0),
    IceInternal::Property("Ice.Voip", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceProps(IcePropsData,
                                                sizeof(IcePropsData)/sizeof(IcePropsData[0]));

const IceInternal::Property IceMXPropsData[] =
{
    IceInternal::Property("IceMX.Metrics.*.GroupBy", false, 0),
    IceInternal::Property("IceMX.Metrics.*.Map", false, 0),
    IceInternal::Property("IceMX.Metrics.*.RetainDetached", false, 0),
    IceInternal::Property("IceMX.Metrics.*.Accept", false, 0),
    IceInternal::Property("IceMX.Metrics.*.Reject", false, 0),
    IceInternal::Property("IceMX.Metrics.*", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceMXProps(IceMXPropsData,
                                                sizeof(IceMXPropsData)/sizeof(IceMXPropsData[0]));

const IceInternal::Property IceDiscoveryPropsData[] =
{
    IceInternal::Property("IceDiscovery.Multicast.ACM.Timeout", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ACM.Close", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ACM", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.AdapterId", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Endpoints", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.Router", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.PublishedEndpoints", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ReplicaGroupId", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.Router", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.Router", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ProxyOptions", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.Size", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceDiscovery.Multicast.MessageSizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ACM.Timeout", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ACM.Close", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ACM", false, 0),
    IceInternal::Property("IceDiscovery.Reply.AdapterId", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Endpoints", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.Router", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Reply.PublishedEndpoints", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ReplicaGroupId", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.Router", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Reply.Router", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ProxyOptions", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.Size", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceDiscovery.Reply.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceDiscovery.Reply.MessageSizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ACM.Timeout", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ACM.Close", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ACM", false, 0),
    IceInternal::Property("IceDiscovery.Locator.AdapterId", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Endpoints", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.Router", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Locator.PublishedEndpoints", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ReplicaGroupId", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.PreferSecure", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.Locator", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.Router", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router.Context.*", false, 0),
    IceInternal::Property("IceDiscovery.Locator.Router", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ProxyOptions", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.Size", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceDiscovery.Locator.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceDiscovery.Locator.MessageSizeMax", false, 0),
    IceInternal::Property("IceDiscovery.Lookup", false, 0),
    IceInternal::Property("IceDiscovery.Timeout", false, 0),
    IceInternal::Property("IceDiscovery.RetryCount", false, 0),
    IceInternal::Property("IceDiscovery.LatencyMultiplier", false, 0),
    IceInternal::Property("IceDiscovery.Address", false, 0),
    IceInternal::Property("IceDiscovery.Port", false, 0),
    IceInternal::Property("IceDiscovery.Interface", false, 0),
    IceInternal::Property("IceDiscovery.DomainId", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceDiscoveryProps(IceDiscoveryPropsData,
                                                sizeof(IceDiscoveryPropsData)/sizeof(IceDiscoveryPropsData[0]));

const IceInternal::Property IceLocatorDiscoveryPropsData[] =
{
    IceInternal::Property("IceLocatorDiscovery.Reply.ACM.Timeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ACM.Close", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ACM", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.AdapterId", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Endpoints", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator.Context.*", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.PublishedEndpoints", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ReplicaGroupId", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.PreferSecure", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router.Context.*", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ProxyOptions", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.Size", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Reply.MessageSizeMax", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ACM.Timeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ACM.Close", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ACM", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.AdapterId", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Endpoints", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator.Context.*", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.PublishedEndpoints", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ReplicaGroupId", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.PreferSecure", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.Locator", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router.Context.*", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.Router", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ProxyOptions", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.Size", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Locator.MessageSizeMax", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Lookup", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Timeout", false, 0),
    IceInternal::Property("IceLocatorDiscovery.RetryCount", false, 0),
    IceInternal::Property("IceLocatorDiscovery.RetryDelay", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Address", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Port", false, 0),
    IceInternal::Property("IceLocatorDiscovery.Interface", false, 0),
    IceInternal::Property("IceLocatorDiscovery.InstanceName", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceLocatorDiscoveryProps(IceLocatorDiscoveryPropsData,
                                                sizeof(IceLocatorDiscoveryPropsData)/sizeof(IceLocatorDiscoveryPropsData[0]));

const IceInternal::Property IceBoxPropsData[] =
{
    IceInternal::Property("IceBox.InheritProperties", false, 0),
    IceInternal::Property("IceBox.InstanceName", true, 0),
    IceInternal::Property("IceBox.LoadOrder", false, 0),
    IceInternal::Property("IceBox.PrintServicesReady", false, 0),
    IceInternal::Property("IceBox.Service.*", false, 0),
    IceInternal::Property("IceBox.ServiceManager.AdapterId", true, 0),
    IceInternal::Property("IceBox.ServiceManager.Endpoints", true, 0),
    IceInternal::Property("IceBox.ServiceManager.Locator", true, 0),
    IceInternal::Property("IceBox.ServiceManager.PublishedEndpoints", true, 0),
    IceInternal::Property("IceBox.ServiceManager.ReplicaGroupId", true, 0),
    IceInternal::Property("IceBox.ServiceManager.Router", true, 0),
    IceInternal::Property("IceBox.ServiceManager.ThreadPool.Size", true, 0),
    IceInternal::Property("IceBox.ServiceManager.ThreadPool.SizeMax", true, 0),
    IceInternal::Property("IceBox.ServiceManager.ThreadPool.SizeWarn", true, 0),
    IceInternal::Property("IceBox.ServiceManager.ThreadPool.StackSize", true, 0),
    IceInternal::Property("IceBox.Trace.ServiceObserver", false, 0),
    IceInternal::Property("IceBox.UseSharedCommunicator.*", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceBoxProps(IceBoxPropsData,
                                                sizeof(IceBoxPropsData)/sizeof(IceBoxPropsData[0]));

const IceInternal::Property IceBoxAdminPropsData[] =
{
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.EndpointSelection", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.ConnectionCached", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.PreferSecure", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.InvocationTimeout", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.Locator", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.Router", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.CollocationOptimized", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy.Context.*", false, 0),
    IceInternal::Property("IceBoxAdmin.ServiceManager.Proxy", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceBoxAdminProps(IceBoxAdminPropsData,
                                                sizeof(IceBoxAdminPropsData)/sizeof(IceBoxAdminPropsData[0]));

const IceInternal::Property IceGridAdminPropsData[] =
{
    IceInternal::Property("IceGridAdmin.AuthenticateUsingSSL", false, 0),
    IceInternal::Property("IceGridAdmin.MetricsConfig", false, 0),
    IceInternal::Property("IceGridAdmin.Username", false, 0),
    IceInternal::Property("IceGridAdmin.Password", false, 0),
    IceInternal::Property("IceGridAdmin.Replica", false, 0),
    IceInternal::Property("IceGridAdmin.Host", false, 0),
    IceInternal::Property("IceGridAdmin.Port", false, 0),
    IceInternal::Property("IceGridAdmin.InstanceName", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ACM.Timeout", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ACM.Close", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ACM", false, 0),
    IceInternal::Property("IceGridAdmin.Server.AdapterId", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Endpoints", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator.Context.*", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Server.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router.Context.*", false, 0),
    IceInternal::Property("IceGridAdmin.Server.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ProxyOptions", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGridAdmin.Server.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGridAdmin.Server.MessageSizeMax", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Address", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Interface", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Lookup", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ACM.Timeout", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ACM.Close", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ACM", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.AdapterId", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Endpoints", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator.Context.*", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.Locator", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router.Context.*", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.Router", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ProxyOptions", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGridAdmin.Discovery.Reply.MessageSizeMax", false, 0),
    IceInternal::Property("IceGridAdmin.Trace.Observers", false, 0),
    IceInternal::Property("IceGridAdmin.Trace.SaveToRegistry", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceGridAdminProps(IceGridAdminPropsData,
                                                sizeof(IceGridAdminPropsData)/sizeof(IceGridAdminPropsData[0]));

const IceInternal::Property IceGridPropsData[] =
{
    IceInternal::Property("IceGrid.AdminRouter.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ACM", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.AdapterId", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Endpoints", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Locator", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.Router", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.Router", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.AdminRouter.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.InstanceName", false, 0),
    IceInternal::Property("IceGrid.Node.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Node.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Node.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Node.ACM", false, 0),
    IceInternal::Property("IceGrid.Node.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Node.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Node.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Node.Locator", false, 0),
    IceInternal::Property("IceGrid.Node.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Node.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Node.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Node.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Node.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Node.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Node.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Node.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Node.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Node.Router", false, 0),
    IceInternal::Property("IceGrid.Node.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Node.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Node.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Node.AllowRunningServersAsRoot", false, 0),
    IceInternal::Property("IceGrid.Node.AllowEndpointsOverride", false, 0),
    IceInternal::Property("IceGrid.Node.CollocateRegistry", false, 0),
    IceInternal::Property("IceGrid.Node.Data", false, 0),
    IceInternal::Property("IceGrid.Node.DisableOnFailure", false, 0),
    IceInternal::Property("IceGrid.Node.Name", false, 0),
    IceInternal::Property("IceGrid.Node.Output", false, 0),
    IceInternal::Property("IceGrid.Node.ProcessorSocketCount", false, 0),
    IceInternal::Property("IceGrid.Node.PrintServersReady", false, 0),
    IceInternal::Property("IceGrid.Node.PropertiesOverride", false, 0),
    IceInternal::Property("IceGrid.Node.RedirectErrToOut", false, 0),
    IceInternal::Property("IceGrid.Node.Trace.Activator", false, 0),
    IceInternal::Property("IceGrid.Node.Trace.Adapter", false, 0),
    IceInternal::Property("IceGrid.Node.Trace.Patch", false, 0),
    IceInternal::Property("IceGrid.Node.Trace.Replica", false, 0),
    IceInternal::Property("IceGrid.Node.Trace.Server", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccounts", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.Locator", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.Router", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper.Context.*", false, 0),
    IceInternal::Property("IceGrid.Node.UserAccountMapper", false, 0),
    IceInternal::Property("IceGrid.Node.WaitTime", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminCryptPasswords", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminPermissionsVerifier", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionFilters", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSessionManager.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.AdminSSLPermissionsVerifier", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.Client.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.CryptPasswords", false, 0),
    IceInternal::Property("IceGrid.Registry.Data", false, 0),
    IceInternal::Property("IceGrid.Registry.DefaultTemplates", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Enabled", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Address", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Port", false, 0),
    IceInternal::Property("IceGrid.Registry.Discovery.Interface", false, 0),
    IceInternal::Property("IceGrid.Registry.DynamicRegistration", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.Internal.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.NodeSessionTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.PermissionsVerifier", false, 0),
    IceInternal::Property("IceGrid.Registry.ReplicaName", false, 0),
    IceInternal::Property("IceGrid.Registry.ReplicaSessionTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.RequireNodeCertCN", false, 0),
    IceInternal::Property("IceGrid.Registry.RequireReplicaCertCN", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.Server.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionFilters", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ACM.Timeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ACM.Heartbeat", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ACM.Close", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ACM", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.AdapterId", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Endpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.PublishedEndpoints", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ReplicaGroupId", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ProxyOptions", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.Size", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionManager.MessageSizeMax", false, 0),
    IceInternal::Property("IceGrid.Registry.SessionTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.Router", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("IceGrid.Registry.SSLPermissionsVerifier", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Application", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Adapter", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Locator", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Node", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Object", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Patch", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Replica", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Server", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Session", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Subscriber", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.Topic", false, 0),
    IceInternal::Property("IceGrid.Registry.Trace.TopicManager", false, 0),
    IceInternal::Property("IceGrid.Registry.UserAccounts", false, 0),
    IceInternal::Property("IceGrid.SQL.DatabaseType", false, 0),
    IceInternal::Property("IceGrid.SQL.EncodingVersion", false, 0),
    IceInternal::Property("IceGrid.SQL.HostName", false, 0),
    IceInternal::Property("IceGrid.SQL.Port", false, 0),
    IceInternal::Property("IceGrid.SQL.DatabaseName", false, 0),
    IceInternal::Property("IceGrid.SQL.UserName", false, 0),
    IceInternal::Property("IceGrid.SQL.Password", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceGridProps(IceGridPropsData,
                                                sizeof(IceGridPropsData)/sizeof(IceGridPropsData[0]));

const IceInternal::Property IcePatch2PropsData[] =
{
    IceInternal::Property("IcePatch2.ACM.Timeout", false, 0),
    IceInternal::Property("IcePatch2.ACM.Heartbeat", false, 0),
    IceInternal::Property("IcePatch2.ACM.Close", false, 0),
    IceInternal::Property("IcePatch2.ACM", false, 0),
    IceInternal::Property("IcePatch2.AdapterId", false, 0),
    IceInternal::Property("IcePatch2.Endpoints", false, 0),
    IceInternal::Property("IcePatch2.Locator.EndpointSelection", false, 0),
    IceInternal::Property("IcePatch2.Locator.ConnectionCached", false, 0),
    IceInternal::Property("IcePatch2.Locator.PreferSecure", false, 0),
    IceInternal::Property("IcePatch2.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IcePatch2.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("IcePatch2.Locator.Locator", false, 0),
    IceInternal::Property("IcePatch2.Locator.Router", false, 0),
    IceInternal::Property("IcePatch2.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("IcePatch2.Locator.Context.*", false, 0),
    IceInternal::Property("IcePatch2.Locator", false, 0),
    IceInternal::Property("IcePatch2.PublishedEndpoints", false, 0),
    IceInternal::Property("IcePatch2.ReplicaGroupId", false, 0),
    IceInternal::Property("IcePatch2.Router.EndpointSelection", false, 0),
    IceInternal::Property("IcePatch2.Router.ConnectionCached", false, 0),
    IceInternal::Property("IcePatch2.Router.PreferSecure", false, 0),
    IceInternal::Property("IcePatch2.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("IcePatch2.Router.InvocationTimeout", false, 0),
    IceInternal::Property("IcePatch2.Router.Locator", false, 0),
    IceInternal::Property("IcePatch2.Router.Router", false, 0),
    IceInternal::Property("IcePatch2.Router.CollocationOptimized", false, 0),
    IceInternal::Property("IcePatch2.Router.Context.*", false, 0),
    IceInternal::Property("IcePatch2.Router", false, 0),
    IceInternal::Property("IcePatch2.ProxyOptions", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.Size", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.StackSize", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.Serialize", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("IcePatch2.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("IcePatch2.MessageSizeMax", false, 0),
    IceInternal::Property("IcePatch2.Directory", false, 0),
    IceInternal::Property("IcePatch2.InstanceName", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IcePatch2Props(IcePatch2PropsData,
                                                sizeof(IcePatch2PropsData)/sizeof(IcePatch2PropsData[0]));

const IceInternal::Property IcePatch2ClientPropsData[] =
{
    IceInternal::Property("IcePatch2Client.ChunkSize", false, 0),
    IceInternal::Property("IcePatch2Client.Directory", false, 0),
    IceInternal::Property("IcePatch2Client.Proxy", false, 0),
    IceInternal::Property("IcePatch2Client.Remove", false, 0),
    IceInternal::Property("IcePatch2Client.Thorough", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IcePatch2ClientProps(IcePatch2ClientPropsData,
                                                sizeof(IcePatch2ClientPropsData)/sizeof(IcePatch2ClientPropsData[0]));

const IceInternal::Property IceSSLPropsData[] =
{
    IceInternal::Property("IceSSL.Alias", false, 0),
    IceInternal::Property("IceSSL.CAs", false, 0),
    IceInternal::Property("IceSSL.CertAuthDir", true, "IceSSL.CAs"),
    IceInternal::Property("IceSSL.CertAuthFile", true, "IceSSL.CAs"),
    IceInternal::Property("IceSSL.CertStore", false, 0),
    IceInternal::Property("IceSSL.CertStoreLocation", false, 0),
    IceInternal::Property("IceSSL.CertFile", false, 0),
    IceInternal::Property("IceSSL.CertVerifier", false, 0),
    IceInternal::Property("IceSSL.CheckCertName", false, 0),
    IceInternal::Property("IceSSL.CheckCRL", false, 0),
    IceInternal::Property("IceSSL.Ciphers", false, 0),
    IceInternal::Property("IceSSL.DefaultDir", false, 0),
    IceInternal::Property("IceSSL.DH.*", false, 0),
    IceInternal::Property("IceSSL.DHParams", false, 0),
    IceInternal::Property("IceSSL.EntropyDaemon", false, 0),
    IceInternal::Property("IceSSL.FindCert", false, 0),
    IceInternal::Property("IceSSL.FindCert.*", true, 0),
    IceInternal::Property("IceSSL.ImportCert.*", true, 0),
    IceInternal::Property("IceSSL.InitOpenSSL", false, 0),
    IceInternal::Property("IceSSL.KeyFile", true, 0),
    IceInternal::Property("IceSSL.KeySet", true, 0),
    IceInternal::Property("IceSSL.Keychain", false, 0),
    IceInternal::Property("IceSSL.KeychainPassword", false, 0),
    IceInternal::Property("IceSSL.Keystore", false, 0),
    IceInternal::Property("IceSSL.KeystorePassword", false, 0),
    IceInternal::Property("IceSSL.KeystoreType", false, 0),
    IceInternal::Property("IceSSL.Password", false, 0),
    IceInternal::Property("IceSSL.PasswordCallback", false, 0),
    IceInternal::Property("IceSSL.PasswordRetryMax", false, 0),
    IceInternal::Property("IceSSL.PersistKeySet", true, 0),
    IceInternal::Property("IceSSL.Protocols", false, 0),
    IceInternal::Property("IceSSL.ProtocolVersionMax", false, 0),
    IceInternal::Property("IceSSL.ProtocolVersionMin", false, 0),
    IceInternal::Property("IceSSL.Random", false, 0),
    IceInternal::Property("IceSSL.Trace.Security", false, 0),
    IceInternal::Property("IceSSL.TrustOnly", false, 0),
    IceInternal::Property("IceSSL.TrustOnly.Client", false, 0),
    IceInternal::Property("IceSSL.TrustOnly.Server", false, 0),
    IceInternal::Property("IceSSL.TrustOnly.Server.*", false, 0),
    IceInternal::Property("IceSSL.Truststore", false, 0),
    IceInternal::Property("IceSSL.TruststorePassword", false, 0),
    IceInternal::Property("IceSSL.TruststoreType", false, 0),
    IceInternal::Property("IceSSL.UsePlatformCAs", false, 0),
    IceInternal::Property("IceSSL.VerifyDepthMax", false, 0),
    IceInternal::Property("IceSSL.VerifyPeer", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceSSLProps(IceSSLPropsData,
                                                sizeof(IceSSLPropsData)/sizeof(IceSSLPropsData[0]));

const IceInternal::Property IceStormAdminPropsData[] =
{
    IceInternal::Property("IceStormAdmin.TopicManager.*", false, 0),
    IceInternal::Property("IceStormAdmin.Host", false, 0),
    IceInternal::Property("IceStormAdmin.Port", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::IceStormAdminProps(IceStormAdminPropsData,
                                                sizeof(IceStormAdminPropsData)/sizeof(IceStormAdminPropsData[0]));

const IceInternal::Property Glacier2PropsData[] =
{
    IceInternal::Property("Glacier2.AddConnectionContext", false, 0),
    IceInternal::Property("Glacier2.Client.ACM.Timeout", false, 0),
    IceInternal::Property("Glacier2.Client.ACM.Heartbeat", false, 0),
    IceInternal::Property("Glacier2.Client.ACM.Close", false, 0),
    IceInternal::Property("Glacier2.Client.ACM", false, 0),
    IceInternal::Property("Glacier2.Client.AdapterId", false, 0),
    IceInternal::Property("Glacier2.Client.Endpoints", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.Locator", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.Router", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.Client.Locator.Context.*", false, 0),
    IceInternal::Property("Glacier2.Client.Locator", false, 0),
    IceInternal::Property("Glacier2.Client.PublishedEndpoints", false, 0),
    IceInternal::Property("Glacier2.Client.ReplicaGroupId", false, 0),
    IceInternal::Property("Glacier2.Client.Router.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.Client.Router.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.Client.Router.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.Client.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.Client.Router.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.Client.Router.Locator", false, 0),
    IceInternal::Property("Glacier2.Client.Router.Router", false, 0),
    IceInternal::Property("Glacier2.Client.Router.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.Client.Router.Context.*", false, 0),
    IceInternal::Property("Glacier2.Client.Router", false, 0),
    IceInternal::Property("Glacier2.Client.ProxyOptions", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.Size", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.StackSize", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.Serialize", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("Glacier2.Client.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("Glacier2.Client.MessageSizeMax", false, 0),
    IceInternal::Property("Glacier2.Client.AlwaysBatch", false, 0),
    IceInternal::Property("Glacier2.Client.Buffered", false, 0),
    IceInternal::Property("Glacier2.Client.ForwardContext", false, 0),
    IceInternal::Property("Glacier2.Client.SleepTime", false, 0),
    IceInternal::Property("Glacier2.Client.Trace.Override", false, 0),
    IceInternal::Property("Glacier2.Client.Trace.Reject", false, 0),
    IceInternal::Property("Glacier2.Client.Trace.Request", false, 0),
    IceInternal::Property("Glacier2.CryptPasswords", false, 0),
    IceInternal::Property("Glacier2.Filter.Address.Reject", false, 0),
    IceInternal::Property("Glacier2.Filter.Address.Accept", false, 0),
    IceInternal::Property("Glacier2.Filter.ProxySizeMax", false, 0),
    IceInternal::Property("Glacier2.Filter.Category.Accept", false, 0),
    IceInternal::Property("Glacier2.Filter.Category.AcceptUser", false, 0),
    IceInternal::Property("Glacier2.Filter.AdapterId.Accept", false, 0),
    IceInternal::Property("Glacier2.Filter.Identity.Accept", false, 0),
    IceInternal::Property("Glacier2.InstanceName", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.Locator", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.Router", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("Glacier2.PermissionsVerifier", false, 0),
    IceInternal::Property("Glacier2.ReturnClientProxy", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.Locator", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.Router", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier.Context.*", false, 0),
    IceInternal::Property("Glacier2.SSLPermissionsVerifier", false, 0),
    IceInternal::Property("Glacier2.RoutingTable.MaxSize", false, 0),
    IceInternal::Property("Glacier2.Server.ACM.Timeout", false, 0),
    IceInternal::Property("Glacier2.Server.ACM.Heartbeat", false, 0),
    IceInternal::Property("Glacier2.Server.ACM.Close", false, 0),
    IceInternal::Property("Glacier2.Server.ACM", false, 0),
    IceInternal::Property("Glacier2.Server.AdapterId", false, 0),
    IceInternal::Property("Glacier2.Server.Endpoints", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.Locator", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.Router", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.Server.Locator.Context.*", false, 0),
    IceInternal::Property("Glacier2.Server.Locator", false, 0),
    IceInternal::Property("Glacier2.Server.PublishedEndpoints", false, 0),
    IceInternal::Property("Glacier2.Server.ReplicaGroupId", false, 0),
    IceInternal::Property("Glacier2.Server.Router.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.Server.Router.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.Server.Router.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.Server.Router.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.Server.Router.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.Server.Router.Locator", false, 0),
    IceInternal::Property("Glacier2.Server.Router.Router", false, 0),
    IceInternal::Property("Glacier2.Server.Router.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.Server.Router.Context.*", false, 0),
    IceInternal::Property("Glacier2.Server.Router", false, 0),
    IceInternal::Property("Glacier2.Server.ProxyOptions", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.Size", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.SizeMax", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.SizeWarn", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.StackSize", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.Serialize", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.ThreadIdleTime", false, 0),
    IceInternal::Property("Glacier2.Server.ThreadPool.ThreadPriority", false, 0),
    IceInternal::Property("Glacier2.Server.MessageSizeMax", false, 0),
    IceInternal::Property("Glacier2.Server.AlwaysBatch", false, 0),
    IceInternal::Property("Glacier2.Server.Buffered", false, 0),
    IceInternal::Property("Glacier2.Server.ForwardContext", false, 0),
    IceInternal::Property("Glacier2.Server.SleepTime", false, 0),
    IceInternal::Property("Glacier2.Server.Trace.Override", false, 0),
    IceInternal::Property("Glacier2.Server.Trace.Request", false, 0),
    IceInternal::Property("Glacier2.SessionManager.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.SessionManager.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.SessionManager.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.SessionManager.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.SessionManager.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.SessionManager.Locator", false, 0),
    IceInternal::Property("Glacier2.SessionManager.Router", false, 0),
    IceInternal::Property("Glacier2.SessionManager.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.SessionManager.Context.*", false, 0),
    IceInternal::Property("Glacier2.SessionManager", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.EndpointSelection", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.ConnectionCached", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.PreferSecure", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.LocatorCacheTimeout", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.InvocationTimeout", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.Locator", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.Router", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.CollocationOptimized", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager.Context.*", false, 0),
    IceInternal::Property("Glacier2.SSLSessionManager", false, 0),
    IceInternal::Property("Glacier2.SessionTimeout", false, 0),
    IceInternal::Property("Glacier2.Trace.RoutingTable", false, 0),
    IceInternal::Property("Glacier2.Trace.Session", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::Glacier2Props(Glacier2PropsData,
                                                sizeof(Glacier2PropsData)/sizeof(Glacier2PropsData[0]));

const IceInternal::Property Glacier2CryptPermissionsVerifierPropsData[] =
{
    IceInternal::Property("Glacier2CryptPermissionsVerifier.*.PermissionsVerifier", false, 0),
    IceInternal::Property("Glacier2CryptPermissionsVerifier.*.AdminPermissionsVerifier", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::Glacier2CryptPermissionsVerifierProps(Glacier2CryptPermissionsVerifierPropsData,
                                                sizeof(Glacier2CryptPermissionsVerifierPropsData)/sizeof(Glacier2CryptPermissionsVerifierPropsData[0]));

const IceInternal::Property FreezePropsData[] =
{
    IceInternal::Property("Freeze.DbEnv.*.CheckpointPeriod", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.DbHome", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.DbPrivate", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.DbRecoverFatal", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.EncodingVersion", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.LockFile", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.OldLogsAutoDelete", false, 0),
    IceInternal::Property("Freeze.DbEnv.*.PeriodicCheckpointMinSize", false, 0),
    IceInternal::Property("Freeze.Evictor.*.BtreeMinKey", false, 0),
    IceInternal::Property("Freeze.Evictor.*.Checksum", false, 0),
    IceInternal::Property("Freeze.Evictor.*.MaxTxSize", false, 0),
    IceInternal::Property("Freeze.Evictor.*.PageSize", false, 0),
    IceInternal::Property("Freeze.Evictor.*.PopulateEmptyIndices", false, 0),
    IceInternal::Property("Freeze.Evictor.*.RollbackOnUserException", false, 0),
    IceInternal::Property("Freeze.Evictor.*.SavePeriod", false, 0),
    IceInternal::Property("Freeze.Evictor.*.SaveSizeTrigger", false, 0),
    IceInternal::Property("Freeze.Evictor.*.StreamTimeout", false, 0),
    IceInternal::Property("Freeze.Map.*.BtreeMinKey", false, 0),
    IceInternal::Property("Freeze.Map.*.Checksum", false, 0),
    IceInternal::Property("Freeze.Map.*.PageSize", false, 0),
    IceInternal::Property("Freeze.Trace.DbEnv", false, 0),
    IceInternal::Property("Freeze.Trace.Evictor", false, 0),
    IceInternal::Property("Freeze.Trace.Map", false, 0),
    IceInternal::Property("Freeze.Trace.Transaction", false, 0),
    IceInternal::Property("Freeze.Warn.Deadlocks", false, 0),
    IceInternal::Property("Freeze.Warn.Rollback", false, 0),
};

const IceInternal::PropertyArray
    IceInternal::PropertyNames::FreezeProps(FreezePropsData,
                                                sizeof(FreezePropsData)/sizeof(FreezePropsData[0]));

const IceInternal::PropertyArray IceInternal::PropertyNames::validProps[] =
{
    IceProps,
    IceMXProps,
    IceDiscoveryProps,
    IceLocatorDiscoveryProps,
    IceBoxProps,
    IceBoxAdminProps,
    IceGridAdminProps,
    IceGridProps,
    IcePatch2Props,
    IcePatch2ClientProps,
    IceSSLProps,
    IceStormAdminProps,
    Glacier2Props,
    Glacier2CryptPermissionsVerifierProps,
    FreezeProps,
    IceInternal::PropertyArray(0,0)
};

const char* IceInternal::PropertyNames::clPropNames[] =
{
    "Ice",
    "IceMX",
    "IceDiscovery",
    "IceLocatorDiscovery",
    "IceBox",
    "IceBoxAdmin",
    "IceGridAdmin",
    "IceGrid",
    "IcePatch2",
    "IcePatch2Client",
    "IceSSL",
    "IceStormAdmin",
    "Glacier2",
    "Glacier2CryptPermissionsVerifier",
    "Freeze",
    0
};
